cURL
curl --request GET \
--url https://api.cradl.ai/{basePath}/predictions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cradl.ai/{basePath}/predictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cradl.ai/{basePath}/predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextToken": "<string>",
"predictions": [
{
"updatedTime": "<string>",
"metadata": {},
"updatedBy": "<string>",
"modelId": "<string>",
"description": "<string>",
"predictions": [
{
"confidence": 0.5,
"label": "<string>",
"value": "<string>",
"validators": "<array>",
"warnings": [
"<string>"
],
"rotation": 123,
"formatters": "<array>",
"rawValue": "<string>",
"attentionMap": [
[
123
]
],
"location": [
0.5
],
"page": 123,
"errors": [
"<string>"
]
}
],
"createdBy": "<string>",
"name": "<string>",
"createdTime": "<string>",
"documentId": "<string>",
"predictionId": "<string>",
"trainingId": "<string>",
"nextPage": 123,
"postprocessConfig": {
"strategy": "BEST_FIRST"
},
"warnings": [
"<string>"
],
"inferenceTime": 1,
"error": "<string>",
"agentRunId": "<string>",
"preprocessConfig": {
"trimMargins": true,
"useGhostScript": true,
"startPage": 123,
"pages": [
123
],
"usePoppler": true,
"padToFit": true,
"useTextDetection": true,
"maxPages": 50,
"deskewImage": true,
"autoRotate": true
},
"fileUrl": "<string>",
"errors": [
"<string>"
]
}
],
"modelId": "<string>",
"sortBy": "createdTime"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
List Predictions
List Predictions
GET
/
predictions
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 response
Maximum string length:
4096Show child attributes
Show child attributes
Pattern:
^(|(cradl|las):organization:[a-z0-9-_]+/)(cradl|las):model:[a-z0-9-_]+$Available options:
createdTime Available options:
ascending, descending ⌘I